"""
Construction Task Detail JSONL Handler
"""
from ...datasource import BaseJsonlHandler, JsonlDataSource
from .sync_node import ConstructionTaskDetailSyncNode
from schemas.construction.construction_detail import ConstructionDetailResponse


class ConstructionTaskDetailJsonlHandler(BaseJsonlHandler):
    """施工任务明细 JSONL Handler"""
    def __init__(self, datasource: JsonlDataSource):
        super().__init__(datasource, "construction_task_detail", ConstructionTaskDetailSyncNode, ConstructionDetailResponse)
